<?php
/*
 * ARI Quiz Events Handler Joomla! 1.5 plugin
 *
 * @package		ARI Quiz Events Handler 
 * @version		1.0.0
 * @author		ARI Soft
 * @copyright	Copyright (c) 2009 www.ari-soft.com. All rights reserved
 * @license		GNU/GPL (http://www.gnu.org/copyleft/gpl.html)
 * 
 */

defined('_JEXEC') or die('Restricted access');

jimport('joomla.plugin.plugin');

class plgSystemAriquizevents extends JPlugin
{ 
	/*
	 * Constructor
	 */
	function plgSystemAriquizevents(&$subject, $config)
	{
		parent::__construct($subject, $config);
	}

	/*
	 * This method calls when user try to resume quiz
	 *  
	 * @param    array  $params    Hash with the following keys
	 * 
	 * QuizId - quiz id
	 * UserId - user id
	 * 
	 * @access   public
	 */
	function onBeforeResumeQuiz($params)
	{
	}

	/*
	 * This method calls when user resume quiz
	 * 
	 * @param    array  $params    Hash with the following keys
	 * 
	 * QuizId - quiz id
	 * UserId - user id
	 * TicketId - unique identifier for user quiz
	 * 
	 * @access   public
	 */
	function onResumeQuiz($params)
	{
	}
	
	/*
	 * This method calls when user try to start quiz
	 * 
	 * @param    array  $params    Hash with the following keys
	 * 
	 * QuizId - quiz id
	 * UserId - user id
	 * 
	 * @access   public
	 */
	function onBeforeStartQuiz($params)
	{
	}
	
	/*
	 * This method calls when user finishes quiz
	 * 
	 * @param    array  $params    Hash with the following keys
	 * 
	 * StatisticsInfoId
	 * UserName - user name
	 * QuizName - quiz name
	 * PassedScore - passed score
	 * MaxScore - max score
	 * UserScore - user score
	 * PercentScore - percent score
	 * _Passed - passed or not (1 or 0)
	 * StartDate - start date
	 * EndDate - end date
	 * SpentTime - spent time
	 * QuizId - quiz id
	 * 
	 * @access   public
	 */
	function onEndQuiz($params)
	{
	}
	
	/*
	 * This method calls when user stops quiz
	 * 
	 * @param    array  $params    Hash with the following keys
	 * 
	 * QuizId - quiz id
	 * TicketId - unique identifier for user quiz
	 * UserId - user id
	 * 
	 * @access   public
	 */
	function onStopQuiz($params)
	{
	}
	
	/*
	 * This method calls when user skips question
	 * 
	 * @param    array  $params    Hash with the following keys
	 * 
	 * QuizId - quiz id
	 * TicketId - unique identifier for user quiz
	 * UserId - user id
	 * QuestionId - question id
	 * QuestionVersionId - question version id
	 * 
	 * @access   public
	 */
	function onSkipQuestion($params)
	{
	}

	/*
	 * This methos calls on question loading. This can be used to change the question  
	 *
	 * @param    array  $params    Hash with the following keys
	 *  
	 * Question - question object
	 * QuizId - quiz id
	 * TicketId - ticket id
	 * UserId - user id
	 * 
	 * @access   public
	 */
	function onLoadQuestion($params)
	{
	}
}
?>